{if $config.yp_obtain_location}
	<div class="yp-location{if !isset($smarty.cookies.location_set)} yp-location--fixed{/if}">
		<div class="yp-location__toggle-container">
			{if !isset($smarty.cookies.location_set)}
				{lang key='location_set_to'} <b>{location get='title'}</b> <sup><a href="#" class="js-yp-location__ok">{lang key='ok'}</a> or <a href="#" class="js-yp-location__toggle">{lang key='change'}</a></sup>
			{else}
				{lang key='your_location'}: <a href="#" class="js-yp-location__toggle">{location get='title'}</a>
			{/if}
		</div>
		<div class="yp-location__locations">
			<a class="close" href="#">&times;</a>
			<p>{lang key='change_location'}</p>
			<input type="text" name="loc" id="search_loc2" autocomplete="off" class="input-block-level">
			{if !empty($top_ylocs)}
				<div class="top-locations">
					{foreach $top_ylocs as $loc}
						<p><a href="{$packages.yellowpages.url}{$loc.title_alias}/">{$loc.title}</a></p>
					{/foreach}
				</div>
			{/if}
		</div>
	</div>

	{ia_add_js}
	$(function()
	{
		{if !isset($smarty.cookies.location_set) && $config.yp_obtain_location}
		$('.yp-location--fixed').prependTo('body');

		setTimeout(function()
		{
			$('.yp-location--fixed').slideDown('fast');
		}, 400);

		$('.js-yp-location__ok').on('click', function(e)
		{
			e.preventDefault();

			intelli.cookie.write('location_set', true);
			$('.yp-location--fixed').slideUp('fast');
		});

		$('.yp-location__locations').on('click', '.yp-location-name', function(e)
		{
			e.preventDefault();

			intelli.cookie.write('location_set', true);
			window.location.href = $(this).attr('href');
		});
		{/if}

		$('.js-yp-location__toggle').on('click', function(e)
		{
			e.preventDefault();

			$('.yp-location__toggle-container').toggleClass('opened');
			$('.yp-location__locations').toggle();
		});

		$('.close', '.yp-location__locations').on('click', function(e)
		{
			e.preventDefault();

			$('.yp-location__toggle-container').toggleClass('opened');
			$('.yp-location__locations').toggle();
		});

		intelli.searchLocations = function(list)
		{
			var text = '';
			$.each(list, function(index, value)
			{
				var item = value.split('|');
				text += '<div style="width:120px;float:left;"><a href="'+intelli.config.packages.yellowpages.url + 'location/'+item[1]+'/" class="yp-location-name">'+item[0]+'</a></div>';
			});
			$('#locations_search').html(text ? text:_t('empty_locations'));
		};
		intelli.preSearchLoc = function(val)
		{
			if (intelli.dataSearch[val])
			{
				intelli.searchLocations(intelli.dataSearch[val]);
			}
			else
			{
				$.ajax(
				{
					url: intelli.config.ia_url + 'search/companies/read.json',
					data: { action: 'autocomplete', mask: val },
					success: function(data)
					{
						if (data.list)
						{
							intelli.dataSearch[val] = data.list;
							intelli.searchLocations(data.list);
						}
					}
				});
			}
		};

		intelli.searchTimeout = null;
		intelli.dataSearch = [];

		$('#search_loc2').after('<div id="locations_search"></div>');
		$('#search_loc2').keyup(function()
		{
			if (intelli.searchTimeout) clearTimeout(intelli.searchTimeout);
			intelli.searchTimeout = setTimeout('intelli.preSearchLoc("'+$(this).val()+'")', 300);
		});
	});
	{/ia_add_js}
{/if}