{if isset($news) && $news}
	<div class="ia-items latest-news">
		<div class="row-fluid">
			<div class="span6">
				{foreach $news as $entry}
					{if $entry@first}
							<div class="ia-item">
								{if $entry.image}
									<a href="{$smarty.const.IA_URL}news/{$entry.id}-{$entry.alias}" class="ia-item-thumbnail">{printImage imgfile=$entry.image fullimage=true class='media-object' title=$entry.title}</a>
								{/if}
							
								<div class="media-body">
									<h2 class="media-heading">
										<a href="{$smarty.const.IA_URL}news/{$entry.id}-{$entry.alias}" id="news_{$entry.id}">{$entry.title}</a>
									</h2>
									<p class="ia-item-date">{$entry.date|date_format:$config.date_format}</p>
									<div class="ia-item-body">{$entry.body|truncate:$config.news_max_block:'...'|strip_tags}</div>
								</div>
							</div>
						</div>
						<div class="span6">
					{else}
						<div class="media ia-item">
							{if $entry.image}
								<a href="{$smarty.const.IA_URL}news/{$entry.id}-{$entry.alias}" class="pull-left ia-item-thumbnail">{printImage imgfile=$entry.image width='50' class='media-object' title=$entry.title}</a>
							{/if}
						
							<div class="media-body">
								<h4 class="media-heading">
									<a href="{$smarty.const.IA_URL}news/{$entry.id}-{$entry.alias}" id="news_{$entry.id}">{$entry.title}</a>
								</h4>
								<p class="ia-item-date">{$entry.date|date_format:$config.date_format}</p>
								
							</div>
						</div>
					{/if}
				{/foreach}
				<p>
					<a href="{$smarty.const.IA_URL}news/" class="btn btn-primary">{lang key='view_all_news'}</a>
				</p>
			</div>
		</div>
	</div>
{/if}